Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime.ess
Class MLExpansionHistory

`java.lang.Object
oracle.security.crypto.smime.ess.MLExpansionHistory`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class MLExpansionHistory
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

A Mailing List Expansion History.

Field Summary
`static int` | `UB_ML_EXPANSION_HISTORY`

Constructor Summary
`MLExpansionHistory(oracle.security.crypto.cms.CMSSignerInfo si)` Create a `MLExpansionHistory` with the given policy identifier.
`MLExpansionHistory(java.io.InputStream is)` Create a `MLExpansionHistory` by reading from the specified input stream.
`MLExpansionHistory(MLData mlData)` Create a `MLExpansionHistory`.
`MLExpansionHistory(java.util.Vector mlDatas)` Create a `MLExpansionHistory`.

Method Summary
`void` | `addMLData(MLData mlData)` Adds a mailing list data element.
`void` | `addMLData(java.util.Vector mlDatas)` Adds a mailing list data elements.
`boolean` | `equals(java.lang.Object o)` Indicates if the object equals the specified object.
`java.util.Vector` | `getMLDatas()` Get the list of mailing list data.
`int` | `hashCode()` Return the hash code for this object.
`void` | `input(java.io.InputStream is)`
`int` | `length()` Return the length of this object's encoding.
`java.util.Enumeration` | `mldatas()` Returns an enumeration of mailing list data.
`void` | `output(java.io.OutputStream os)` Outputs this object's encoding to the specified output stream.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UB_ML_EXPANSION_HISTORY

    public static final int UB_ML_EXPANSION_HISTORY

  See Also:
    Constant Field Values

Constructor Detail

### MLExpansionHistory

    public MLExpansionHistory(java.io.InputStream is)
                       throws java.io.IOException

  Create a `MLExpansionHistory` by reading from the specified input stream.
Parameters:
  `is` - The input stream.

### MLExpansionHistory

    public MLExpansionHistory(oracle.security.crypto.cms.CMSSignerInfo si)
                       throws oracle.security.crypto.util.InvalidInputException

  Create a `MLExpansionHistory` with the given policy identifier.
Parameters:
  `si` - The message signer.
Throws:
  `oracle.security.crypto.util.InvalidInputException` - If the input is not correctly formatted or the SigningCertificateAttribute is not present or the SigningCertificateAttribute has multiple values.

### MLExpansionHistory

    public MLExpansionHistory(MLData mlData)

  Create a `MLExpansionHistory`.
Parameters:
  `mlData` - The `MLData` object.

### MLExpansionHistory

    public MLExpansionHistory(java.util.Vector mlDatas)
                       throws oracle.security.crypto.util.InvalidInputException

  Create a `MLExpansionHistory`.
Parameters:
  `mlDatas` - A `Vector` containing `MLData` objects.
Throws:
  `oracle.security.crypto.util.InvalidInputException` - If the maximum number of `MLData` elements will be exceeded.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Indicates if the object equals the specified object.
  Returns:
    If `true` this object is equal to the specified object; `false` otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.
  Returns:
    The hash code value.

### addMLData

    public void addMLData(MLData mlData)
                   throws oracle.security.crypto.util.InvalidInputException

  Adds a mailing list data element.
  Parameters:
    `mlData` - The mailing list data.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - If the maximum number of `MLData` elements will be exceeded.

### addMLData

    public void addMLData(java.util.Vector mlDatas)
                   throws oracle.security.crypto.util.InvalidInputException

  Adds a mailing list data elements.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - If the maximum number of `MLData` elements will be exceeded.

### getMLDatas

    public java.util.Vector getMLDatas()

  Get the list of mailing list data.
  Returns:
    A `Vector` containing `MLData`;

### mldatas

    public java.util.Enumeration mldatas()

  Returns an enumeration of mailing list data.
  Returns:
    An `Enumeration` containing `MLData` objects.

### toString

    public java.lang.String toString()

  Returns:
    A String description of this Objects.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Outputs this object's encoding to the specified output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - An I/O error occurred.

### length

    public int length()

  Return the length of this object's encoding.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`
  Returns:
    The length in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.